Bug 969459 - Custom mount option doesn't check mountpoint existence
Custom mount option doesn't check mountpoint existence
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-disk-utility (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 09:09 EDT by Lukas Brabec
Modified: 2015-01-13 08:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 742850 None None None Never

  None (edit)
Description Lukas Brabec 2013-05-31 09:09:39 EDT
Description of problem:
There is no check of mountpoint existence in Gnome Disks -> Partition options (icon of 'little wheel' beneath partition) -> Edit Mount Options (automatic option set to off).
Line is added to /etc/fstab, but non-existing mountpoint will reusult in mount fail.

gnome-disk-utility 3.8.0

Steps to Reproduce:
1. start Gnome Disks
2. select drive/disk
3. partiton Options -> Edit Mount Options
4. set Automatic Mount Options to Off
5. set non existing directory as mountpoint
Comment 1 Kamil Páral 2013-05-31 10:22:00 EDT
Ideally, gnome-disk-utility should create the mountpoint directory, if it doesn't exist already.
Comment 2 Fedora Admin XMLRPC Client 2014-05-01 10:46:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2015-01-09 13:16:51 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Kamil Páral 2015-01-13 08:08:24 EST
The same problem on Fedora 21. Reported upstream:
https://bugzilla.gnome.org/show_bug.cgi?id=742850

Note You need to log in before you can comment on or make changes to this bug.